Ogre::D3D11Device::ThreadInfo Struct Reference

List of all members.

## Public Member Functions

| ThreadInfo (ID3D11DeviceContext *context)
| ~ThreadInfo ()

## Public Attributes

ID3D11DeviceContext * | mContext
void * | mEventHandle

## Detailed Description

Definition at line 43 of file OgreD3D11Device.h.

## Constructor & Destructor Documentation

Ogre::D3D11Device::ThreadInfo::ThreadInfo | ( | ID3D11DeviceContext * | context | ) |

Definition at line 48 of file OgreD3D11Device.h.

References mEventHandle.

Ogre::D3D11Device::ThreadInfo::~ThreadInfo | ( |  | ) |

Definition at line 55 of file OgreD3D11Device.h.

References mContext, and mEventHandle.

## Member Data Documentation

ID3D11DeviceContext* Ogre::D3D11Device::ThreadInfo::mContext

Definition at line 45 of file OgreD3D11Device.h.

Referenced by ~ThreadInfo().

void* Ogre::D3D11Device::ThreadInfo::mEventHandle

Definition at line 46 of file OgreD3D11Device.h.

Referenced by ThreadInfo(), and ~ThreadInfo().

The documentation for this struct was generated from the following file:

- OgreD3D11Device.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:45